using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class objets : MonoBehaviour
{
    public GameObject contourGo;
    public GameObject player;
    public Sprite[] contours;

    private SpriteRenderer spriteContour;
    private int index = 0;

    //Variables pour le son de collecte
    public AudioClip collectSound;
    private AudioSource CollectSoundAudioSource;

    // Start is called before the first frame update
    void Start()
    {
        spriteContour = contourGo.GetComponent<SpriteRenderer>();

        // Son de mouvement
        CollectSoundAudioSource = gameObject.AddComponent<AudioSource>();
        CollectSoundAudioSource.clip = collectSound;
        CollectSoundAudioSource.loop = false;
        CollectSoundAudioSource.playOnAwake = false;
        CollectSoundAudioSource.volume = 1f;
    }

    // Update is called once per frame
    void Update()
    {
        if (index == contours.Length) index = 0;
        spriteContour.sprite = contours[index];
        index++;
    }

    private void OnTriggerEnter2D(Collider2D objet)
    {
        if (objet.gameObject.name == "player")
        {
            // a incrmente le compteur d'objet, et a supprime l'objet quand on passe dessus
            player.GetComponent<GlobalsVars>().incObjectCount();
            StartCoroutine(playSoundAndDestroy());
        }
    }

    public IEnumerator playSoundAndDestroy()
    {
        CollectSoundAudioSource.Play();
        while (CollectSoundAudioSource.isPlaying)
        {
            yield return null;
        }
        Destroy(gameObject);
    }
}
