﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FullscreenSprite : MonoBehaviour
{
    void Awake()
    {
        SpriteRenderer spriteRenderer = GetComponent<SpriteRenderer>();

        // On récupère la taille de la caméra et du spirte
        float cameraHeight = Camera.main.orthographicSize * 2;
        Vector2 cameraSize = new Vector2(Camera.main.aspect * cameraHeight, cameraHeight);
        Vector2 spriteSize = spriteRenderer.sprite.bounds.size;

        Debug.Log("cameraSize:"+ cameraSize + " spriteSize:"+spriteSize);

        Vector2 scale = transform.localScale;
        // Scale peut être déjà défini
        /*if (cameraSize.x >= cameraSize.y)
        { // Landscape (or equal)
            scale *= cameraSize.x / (spriteSize.x * scale.x);
        }  else { // Portrait
            scale *= cameraSize.y / (spriteSize.y * scale.y);
        }*/
        scale *= cameraSize.x / (spriteSize.x * scale.x);
        if(cameraSize.y> (spriteSize.y * scale.y))
        {
            scale *= cameraSize.y / (spriteSize.y * scale.y);
        }

        transform.position = Vector2.zero; // Optional
        transform.localScale = scale;
    }
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
