using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Video;
using UnityEngine.SceneManagement;

public class LoadingScreen : MonoBehaviour
{
    public int NumeroSceneACharger;
    public int TimeToWaitInSeconds;
    public VideoPlayer VideoPlayer;
    private bool videoPlayed;

    // Start is called before the first frame update
    void Start()
    {
        VideoPlayer.loopPointReached += LoadScene;
        StartCoroutine(chargerSceneArrierePlan());
    }
    void LoadScene(VideoPlayer vp)
    {
        //SceneManager.LoadScene(2);
        videoPlayed = true;
    }

    IEnumerator chargerSceneArrierePlan()
    {
        AsyncOperation asyncOperation = SceneManager.LoadSceneAsync(NumeroSceneACharger);
        asyncOperation.allowSceneActivation = false;

        //When the load is still in progress, output the Text and progress bar
        while (!asyncOperation.isDone)
        {
            //Output the current progress
            //Debug.Log("Loading progress: " + (asyncOperation.progress * 100) + "%");

            // Check if the load has finished
            if (asyncOperation.progress >= 0.9f)
            {
                //Debug.Log("Sc�ne charg�e");
                if (videoPlayed)
                {
                    yield return new WaitForSeconds(TimeToWaitInSeconds);
                    asyncOperation.allowSceneActivation = true;
                }
            }

            yield return null;
        }   
        
    }

}
