﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class InifiniteBackground : MonoBehaviour
{
    private SpriteRenderer spriteRenderer;
    public float moveSpeed = 0.2f; // Voir https://docs.microsoft.com/fr-fr/dotnet/csharp/language-reference/builtin-types/floating-point-numeric-types
    void Awake()
    {
        spriteRenderer = GetComponent<SpriteRenderer>();
        spriteRenderer.size = new Vector2(spriteRenderer.size.x, 22);
    }

    // Start is called before the first frame update
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {
        if (spriteRenderer.size.y >= 30.4f)//Environ là où la texture a une apparence similaire -> évite que ça grandi de manière infinie
        {
            spriteRenderer.size = new Vector2(spriteRenderer.size.x, 22);
            spriteRenderer.size = new Vector2(spriteRenderer.size.x, spriteRenderer.size.y + moveSpeed * Time.deltaTime);
        }
        else 
        {
            spriteRenderer.size = new Vector2(spriteRenderer.size.x, spriteRenderer.size.y + moveSpeed * Time.deltaTime);
        }
    }
}
